Landed Costs
Apply Landed Cost
POST
/
api
/
v1
/
landed-costs
/
apply
Apply Landed Cost
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/landed-costs/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"receiptId": "<string>",
"charges": [
{
"description": "<string>",
"amount": 123,
"method": "value",
"expenseKey": "freight"
}
],
"currency": "VND",
"weights": {}
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/landed-costs/apply"
payload = {
"receiptId": "<string>",
"charges": [
{
"description": "<string>",
"amount": 123,
"method": "value",
"expenseKey": "freight"
}
],
"currency": "VND",
"weights": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
receiptId: '<string>',
charges: [{description: '<string>', amount: 123, method: 'value', expenseKey: 'freight'}],
currency: 'VND',
weights: {}
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/landed-costs/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receiptId": "<string>",
"entryId": "<string>",
"status": "<string>",
"sourceId": "<string>",
"totalLandedCost": "<string>",
"items": [
{
"receiptLineId": "<string>",
"totalAllocated": "<string>",
"originalRate": "<string>",
"finalRate": "<string>",
"rateDelta": "<string>",
"balancesUpdated": 123,
"poLineId": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"stockLotIds": [
"<string>"
]
}
],
"entryNumber": "<string>",
"idempotent": false,
"skippedItems": [
{
"receiptLineId": "<string>",
"reason": "<string>",
"poLineId": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Apply Landed Cost
